Skip to navigation

Scale a Kubernetes cluster

Scale worker nodes, or enable/disable autoscaling with min/max bounds. At least one parameter must be provided.

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
ID of the Kubernetes cluster

Request

This endpoint expects an object.
workerNodesdoubleOptional
Number of worker nodes
autoscalingEnabledbooleanOptional
Enable or disable autoscaling
minWorkersdoubleOptional
Minimum number of worker nodes when autoscaling is enabled
maxWorkersdoubleOptional
Maximum number of worker nodes when autoscaling is enabled

Response

Scale operation initiated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error